Bug 30229 - Anaconda reported an error during install. Occured after the package selection while in expert install mode.
Anaconda reported an error during install. Occured after the package selecti...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-01 17:37 EST by Brian Cyr
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-08 12:05:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Created by anaconda (1.01 KB, text/plain)
2001-03-01 17:38 EST, Brian Cyr
no flags Details

  None (edit)
Description Brian Cyr 2001-03-01 17:37:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


When the error appeared, anaconda gave me a chance to save the error to 
disk.  I did so, here is the contents of the Anacdump.txt file.

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in 
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1466, in 
doInstall
    self.fstab.makeFilesystems ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 575, in 
makeFilesystems
    for (mntpoint, device, fsystem, doFormat, size) in self.mountList():
SystemError: bad argument to internal function

Local variables in innermost frame:
devices: [('hda1', '/dos', 1, 63, 1229697), ('hda2', '/', 2, 1229760, 
842688), ('hda5', 'Swap000', 5, 2072511, 44289)]
arch: i386
labels: {}
self: <fstab.NewtFstab instance at 820a468>
messageFile: /dev/tty5
labelSkipList: []
raid: []

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>



Reproducible: Didn't try

This was being installed on an old 486DX2-66 machine.  It does not have a 
built in IDE controller.  There were some drivestatus errors during the 
install as seen on TTY4 I believe.  The Western Digital Caviar 21000 drive 
I was installing it on is quite old, as is the quad speed Mitsumi CDROM 
drive I am using.

This is not a critical error for me.  It was more of an expiriment to see 
if I could install it on such an old machine.  I will attempt it on a 
slightly newer P-133 that I used to have Redhat 6 on.
Comment 1 Brian Cyr 2001-03-01 17:38:25 EST
Created attachment 11483 [details]
Created by anaconda
Comment 2 Need Real Name 2001-03-02 10:36:37 EST
I have something similar but in i586 (AMD 300).
Here is the Anacdump.txt:

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, 
in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1480, in 
doInstall
    if self.method.systemMounted (self.fstab, self.instPath, 
self.hdList.selected()):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 46, in 
systemMounted
    self.loopbackFile = mntPoint + fstab.filesystemSpace(mntPoint)[0][0] + \
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 258, in 
filesystemSpace
    space.append((mntpoint, isys.fsSpaceAvailable(topMount + '/' + mntpoint)))
  File "/usr/lib/anaconda/isys.py", line 16, in fsSpaceAvailable
    return _isys.devSpaceFree(fsystem)
SystemError: (2, 'No such file or directory')

Local variables in innermost frame:
fsystem: /mnt/sysimage//data

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 3 Michael Fulbright 2001-03-02 11:29:34 EST
For the first problem I really have no idea - I've never seen it fail that way.

For the second problem report (please open a new bug in the future if your
traceback is so different), its fixed by an errata. Look at bug 18032.
Comment 4 Michael Fulbright 2001-03-08 12:05:27 EST
What steps are required to reproduce the first issue in this report?
Comment 5 Michael Fulbright 2001-04-02 16:00:34 EDT
Closing due to inactivity - please reopen if you have anything to add to the bug
report.

Note You need to log in before you can comment on or make changes to this bug.